AN_FD_ISSET(3)

NAME

AN_FD_ISSET - test if an Antinat connection handle is in a socket set.

SYNOPSIS

#include <antinat.h>

int AN_FD_ISSET(ANCONN s, struct fd_set * fds );

DESCRIPTION

The AN_FD_ISSET(3) function tests if an Antinat socket is in a set of file descriptors. This set of file descriptors can be used with select. To set or unset an Antinat handle from a set of file descriptors, use the AN_FD_CLR(3) or AN_FD_SET(3) functions. This function should be considered equivalent to the FD_ISSET macro in your sockets library, except that it is for use with proxy-capable sockets.

s is a socket previously created with an_new_connection(3).

fds is an fd_set socket structure. Consult your platform's documentation for the select function for more information about this structure. It will contain a list of file descriptors suitable for use with the select call.

RETURN VALUE

On most platforms, the return value will be zero to indicate that the connection handle is not part of the socket set, and nonzero otherwise.

ERRORS

There is no error return.

SEE ALSO

select, AN_FD_CLR(3), AN_FD_SET(3), an_new_connection(3)

AUTHOR

Malcolm Smith <malxau@users.sourceforge.net>